using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GridScrollBarEvents
{
    public partial class Form1 : Form
    {
        DataTable myDataTable = new DataTable("MyDataTable");
        DataColumn myDataColumn;
        DataRow myDataRow;
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridControl1.RowCount = 10;
            this.gridControl1.ColCount = 3;
            int i = 1, j = 1, j1 = 2;
            for (i = 1; i <= 10; i++)
            {
                this.gridControl1[i, j].Text = i.ToString();
                this.gridControl1[i, j1].Text = i.ToString();
            }
            myDataColumn = new DataColumn();
            myDataColumn.DataType = System.Type.GetType("System.Int32");
            myDataColumn.ColumnName = "id";
            myDataTable.Columns.Add(myDataColumn);
            myDataColumn = new DataColumn();
            myDataColumn.DataType = Type.GetType("System.String");
            myDataColumn.ColumnName = "item";
            myDataTable.Columns.Add(myDataColumn);
            for ( i = 0; i <= 10; i++)
            {
                myDataRow = myDataTable.NewRow();
                myDataRow["id"] = i;
                myDataRow["item"] = "item " + i.ToString();
                myDataTable.Rows.Add(myDataRow);
                this.gridDataBoundGrid1.DataSource = myDataTable;
            }
            gridControl1.HScrollBehavior = GridScrollbarMode.Shared;
            gridControl1.VScrollBehavior = GridScrollbarMode.Shared;
            this.gridControl1.UseSharedScrollBars = true;
            this.gridControl1.HScrollBar.InnerScrollBar = this.gridDataBoundGrid1.HScrollBar.InnerScrollBar;
            this.gridControl1.VScrollBar.InnerScrollBar = this.gridDataBoundGrid1.VScrollBar.InnerScrollBar;
        }
    }
}